|  | Home · All Classes · Modules

# Phonon.BackendCapabilities.Notifier Class Reference
[phonon module]

Inherits QObject.

### Qt Signals

- void availableAudioOutputDevicesChanged ()
- void capabilitiesChanged ()

## Detailed Description

Notifications about backend capabilities.

## Qt Signal Documentation

### void availableAudioOutputDevicesChanged ()

This signal is emitted when audio output devices were plugged or unplugged.

Check BackendCapabilities.availableAudioOutputDevices to get the current list of available devices.

### void capabilitiesChanged ()

This signal is emitted if the capabilities have changed. This can happen if the user has requested a backend change.